### Method

# Gdk ColorState create_cicp_params

since: 4.16

#### Declaration [src]

    GdkCicpParams*
    gdk_color_state_create_cicp_params (
      GdkColorState* self
    )

#### Description [src]

Create a `GdkCicpParams` representing the colorstate.

It is not guaranteed that every `GdkColorState` can be represented with Cicp parameters. If that is the case, this function returns `NULL`.

Available since: 4.16

#### Return value

Type: `GdkCicpParams`

A new `GdkCicpParams`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.